[Launch]
ProgramExecutable64=SoftOrganizer64\SoftOrganizer.exe
MinOS=7
RunAsAdmin=force
SinglePortableAppInstance=true
DirectoryMoveOK=yes

[Activate]
Registry=true

[RegistryKeys]
SO="HKCU\Software\ChemTable Software\Full Uninstall"

[RegistryValueWrite]
HKCU\Software\ChemTable Software\Full Uninstall\Settings\CheckForUpdates=REG_DWORD:0
HKCU\Software\ChemTable Software\Full Uninstall\Settings\RepairInvalidShortcuts=REG_DWORD:0
HKCU\Software\ChemTable Software\Full Uninstall\Settings\ShowSplash=REG_DWORD:0
HKCU\Software\ChemTable Software\Full Uninstall\Settings\ClassicRegCleanup=REG_DWORD:1
HKCU\Software\ChemTable Software\Full Uninstall\Settings\OnlyImportantUpdates=REG_DWORD:1
HKCU\Software\ChemTable Software\Full Uninstall\Settings\SkipBetas=REG_DWORD:1
HKCU\Software\ChemTable Software\Full Uninstall\Settings\RegOptimization=REG_DWORD:1
HKCU\Software\ChemTable Software\Full Uninstall\Settings\DidYouKnow\1no=REG_DWORD:1
HKCU\Software\ChemTable Software\Full Uninstall\Settings\DidYouKnow\2no=REG_DWORD:1
HKCU\Software\ChemTable Software\Full Uninstall\Settings\DidYouKnow\5no=REG_DWORD:1
HKCU\Software\ChemTable Software\Full Uninstall\Settings\DidYouKnow\6no=REG_DWORD:1
HKCU\Software\ChemTable Software\Full Uninstall\Settings\DidYouKnow\230320date=REG_BINARY:8e14df0551c7e540
HKCU\Software\ChemTable Software\Full Uninstall\Settings\DidYouKnow\230320no=REG_DWORD:1
HKCU\Software\ChemTable Software\Full Uninstall\Settings\ShellContextMenuDll\RunAndTraceText=REG_SZ:Run and trace with %s
HKCU\Software\ChemTable Software\Full Uninstall\Settings\ShellContextMenuDll\CompleteUninstallTextEx=REG_SZ:Complete Uninstall
HKCU\Software\ChemTable Software\Full Uninstall\Settings\ShellContextMenuDll\OpenWithText=REG_SZ:""
HKCU\Software\ChemTable Software\Full Uninstall\Settings\ShellContextMenuDll\CompleteUninstallText=REG_SZ:Complete Uninstall with %s

[RegistryCleanupIfEmpty]
1="HKCU\Software\ChemTable Software"

[RegistryValueBackupDelete]

[DirectoriesCleanupIfEmpty]
1="%APPDATA%\ChemTable Software"
2="%LOCALAPPDATA%\ChemTable Software"

[DirectoriesMove]
APPDATA\Full Uninstall="%APPDATA%\ChemTable Software\Full Uninstall"
LOCALAPPDATA\Reg Organizer="%LOCALAPPDATA%\ChemTable Software\Full Uninstall"
LOCALAPPDATA\Shared="%LOCALAPPDATA%\ChemTable Software\Shared"
LOCALAPPDATA\InstallerTracing="%LOCALAPPDATA%\ChemTable Software\InstallerTracing"

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\settings\SO.reg
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir%\
Replace=%PAL:Drive%%PAL:PackagePartialDir%\

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\settings\SO.reg
Find=%PAL:LastPortableAppsBaseDir%\
Replace=%PAL:PortableAppsBaseDir%\

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\settings\SO.reg
Find=%PAL:LastDrive%\
Replace=%PAL:Drive%\

